main.floors.MT12=
{
    "floorId": "MT12",
    "title": "魔塔 第12层",
    "name": "第 12 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,122,  3,  0,  1, 21, 27, 21,  1,  0,  3,  3,  1],
    [  1,  1,  1,206,  1,  0,  1,  0,  1,  0,  1,  1,  1],
    [  1,  0,  0,  0,  1,218,  0,218,  1,  0,213,  0,  1],
    [  1, 81,  1,  1,  1,  1, 81,  1,  1,  1,  1,  0,  1],
    [  1,  0,218,  0, 81,  0,213,  0,  1, 31,  0,206,  1],
    [  1,  1,  1,  1,  1,  0,  0,218, 81,  0, 28,  0,  1],
    [  1, 21, 21,  0,  1,  0, 31,  0,  1, 21,  0,203,  1],
    [  1, 21, 22,  0,  1,  1,  1,  1,  1, 82,  1, 81,  1],
    [  1,  0,  0,213,  1,  7,131,  8,  1,203,  0,213,  1],
    [  1,  1,  1, 81,  1, 31, 31, 32,  1,  1,  0,  1,  1],
    [  1, 87,  0,  0,205,  0,333,  0,205,  0,  0, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 2,
    "defaultGround": "ground",
    "bgm": "section2.mp3",
    "firstArrive": [
        "\t[科学家小蝙蝠,E333]嗨嗨嗨我又来了",
        "\t[hero]不是哥们别搞我 留着行不",
        "\t[科学家小蝙蝠,E333]nope.",
        {
            "type": "move",
            "loc": [
                5,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "right:1"
            ]
        },
        {
            "type": "setBlock",
            "number": "bluePotion",
            "loc": [
                [
                    6,
                    10
                ]
            ]
        },
        "\t[hero]你妈的别合成了哥们",
        {
            "type": "move",
            "loc": [
                7,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:1"
            ]
        },
        {
            "type": "setBlock",
            "number": "greenPotion",
            "loc": [
                [
                    6,
                    10
                ]
            ]
        },
        "\t[科学家小蝙蝠,E333]没准有新功能 我找个人试试",
        {
            "type": "setBlock",
            "number": "N353",
            "loc": [
                [
                    5,
                    10
                ]
            ]
        },
        "\t[盐铁桶子,N353]哈哈哈我打赢复活赛了",
        "\t[盐铁桶子,N353]等下这是绿药水？ 应该是回复1000血 喝了试试",
        {
            "type": "move",
            "loc": [
                5,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "right:1"
            ]
        },
        "\t[盐铁桶子,E352]你妈的是毒药 我又要去打复活赛了",
        {
            "type": "hide",
            "loc": [
                [
                    6,
                    10
                ]
            ],
            "remove": true,
            "time": 200
        },
        "\t[科学家小蝙蝠,E333]貌似没有新功能...我跑了",
        {
            "type": "hide",
            "loc": [
                [
                    6,
                    11
                ]
            ],
            "remove": true,
            "time": 200
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "1,1": [
            {
                "type": "if",
                "condition": "switch:A",
                "true": [
                    {
                        "type": "insert",
                        "name": "老人",
                        "args": [
                            0
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "insert",
                        "name": "商人",
                        "args": [
                            0
                        ]
                    }
                ]
            }
        ],
        "11,1": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "playSound",
                    "name": "door.mp3"
                },
                {
                    "type": "openDoor"
                },
                {
                    "type": "setBlock",
                    "number": "fairy"
                },
                {
                    "type": "choices",
                    "text": "\t[商人,woman]本店有很多黄钥匙，2500金币1把要吗？",
                    "choices": [
                        {
                            "text": "我太需要了",
                            "action": [
                                {
                                    "type": "addValue",
                                    "name": "status:money",
                                    "value": "-2500"
                                },
                                {
                                    "type": "addValue",
                                    "name": "item:yellowKey",
                                    "value": "1"
                                },
                                {
                                    "type": "insert",
                                    "loc": [
                                        11,
                                        1
                                    ]
                                }
                            ]
                        },
                        {
                            "text": "现在就来",
                            "action": [
                                {
                                    "type": "addValue",
                                    "name": "status:money",
                                    "value": "-2500"
                                },
                                {
                                    "type": "addValue",
                                    "name": "item:yellowKey",
                                    "value": "1"
                                },
                                {
                                    "type": "insert",
                                    "loc": [
                                        11,
                                        1
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        },
        "6,9": [
            {
                "type": "setValue",
                "name": "flag:ratio",
                "value": "2"
            },
            {
                "type": "setValue",
                "name": "flag:shopratio",
                "value": "Math.max(core.getFlag('shopratio', 1), core.getFlag('ratio', 1))"
            },
            {
                "type": "insert",
                "name": "商店"
            }
        ]
    },
    "changeFloor": {
        "1,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "11,11": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        2,
        11
    ],
    "downFloor": [
        10,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}