main.floors.MT39=
{
    "floorId": "MT39",
    "title": "魔塔 第39层",
    "name": "第 39 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, 88,  1],
    [  1,  0, 81,  0, 81,  0, 81,  0,  1,122,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0, 21,  1],
    [  1,  0, 81,  0, 81,  0, 81,  0,  1,  1, 81,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,225,  1],
    [  1,  0, 81,  0, 81,  0, 81,  0,  1,216,  1, 27,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  1,  0,  0,212,  1],
    [  1,  1, 82,  1,  1,  1,  1,  1,  1,  1, 81,  1,  1],
    [  1,  0,  0,212,  1,224, 28,227,  1,  0,227,  0,  1],
    [  1,  1,212,  0, 81,  0,  1,  0, 81,  0,  0,125,  1],
    [  1,121,  0, 21,  1,  0,216,  0,  1, 31,  0, 87,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [
        "\t[骑士队长,yellowKnight]怎么谁都用对称飞躲我先攻 我要抢走！",
        {
            "type": "move",
            "loc": [
                11,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:2"
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                8,
                10
            ]
        },
        {
            "type": "move",
            "loc": [
                9,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:2"
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                6,
                10
            ]
        },
        {
            "type": "move",
            "loc": [
                7,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:2"
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                4,
                10
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                4,
                9
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                4,
                8
            ]
        },
        {
            "type": "move",
            "loc": [
                5,
                10
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:1",
                "up:3",
                "right:3",
                "up:3"
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                6,
                4
            ]
        },
        {
            "type": "move",
            "loc": [
                7,
                4
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:2",
                "up:2"
            ]
        },
        {
            "type": "openDoor",
            "loc": [
                4,
                2
            ]
        },
        {
            "type": "setBlock",
            "number": "centerFly",
            "loc": [
                [
                    4,
                    4
                ]
            ]
        },
        {
            "type": "move",
            "loc": [
                5,
                2
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "down:2",
                "left:1"
            ]
        },
        "\t[骑士队长,yellowKnight]好了 我走了",
        {
            "type": "move",
            "loc": [
                4,
                4
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "left:1",
                "up:3",
                "left:1"
            ]
        },
        "\t[骑士队长,yellowKnight]先练习一下对称飞",
        {
            "type": "hide",
            "loc": [
                [
                    2,
                    1
                ]
            ],
            "remove": true
        },
        {
            "type": "setBlock",
            "number": "magician",
            "loc": [
                [
                    10,
                    11
                ]
            ]
        },
        "\t[骑士队长,yellowKnight]走了走了",
        {
            "type": "move",
            "loc": [
                10,
                11
            ],
            "time": 200,
            "keep": true,
            "steps": [
                "right:3"
            ]
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "4,4": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "data": [
                {
                    "type": "if",
                    "condition": "flag:centerFly",
                    "true": [
                        {
                            "type": "addValue",
                            "name": "item:centerFly",
                            "value": "3"
                        },
                        {
                            "type": "hide",
                            "time": 0
                        }
                    ],
                    "false": [
                        {
                            "type": "openDoor",
                            "needKey": true
                        }
                    ]
                }
            ]
        }
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "11,1": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {
        "2,2": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "6,2": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "4,4": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "2,4": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "2,6": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "4,6": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "6,6": [
            {
                "type": "addValue",
                "name": "flag:39",
                "value": "-1"
            }
        ],
        "4,2": [
            {
                "type": "if",
                "condition": "flag:39 == 1",
                "true": [
                    {
                        "type": "playSound",
                        "name": "door.mp3"
                    },
                    {
                        "type": "setBlock",
                        "number": "50",
                        "loc": [
                            4,
                            4
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:centerFly",
                        "value": "1"
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:39",
                        "value": "1"
                    }
                ]
            }
        ],
        "6,4": [
            {
                "type": "if",
                "condition": "flag:39 == 1",
                "true": [
                    {
                        "type": "playSound",
                        "name": "door.mp3"
                    },
                    {
                        "type": "setBlock",
                        "number": "50",
                        "loc": [
                            4,
                            4
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:centerFly",
                        "value": "1"
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:39",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        11,
        10
    ],
    "downFloor": [
        11,
        2
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}